commit f5e6c1120ba50f81aa882badc2e356fa7518ca5d
parent 96bd9d4787220a99cfa3e0a2b42c34dcd365f5d6
Author: Nuno Goncalves <nunojpg@gmail.com>
Date: Sun, 9 Aug 2015 11:50:11 +0100
kplex: add init script
Signed-off-by: Nuno Goncalves <nunojpg@gmail.com>
Diffstat:
2 files changed, 25 insertions(+), 1 deletion(-)
diff --git a/net/kplex/Makefile b/net/kplex/Makefile
@@ -7,7 +7,7 @@
include $(TOPDIR)/rules.mk
PKG_NAME:=kplex
-PKG_VERSION:=20150728
+PKG_VERSION:=20150809
PKG_RELEASE=$(PKG_SOURCE_VERSION)
@@ -38,10 +38,15 @@ define Package/kplex/description
Pseudo Terminals (ptys), Network Interfaces and Files.
endef
+define Package/kplex/conffiles
+/etc/kplex.conf
+endef
define Package/kplex/install
$(INSTALL_DIR) $(1)/usr/bin
$(INSTALL_BIN) $(PKG_BUILD_DIR)/kplex $(1)/usr/bin/
+ $(INSTALL_DIR) $(1)/etc/init.d
+ $(INSTALL_BIN) ./files/kplex.init $(1)/etc/init.d/kplex
endef
$(eval $(call BuildPackage,kplex))
diff --git a/net/kplex/files/kplex.init b/net/kplex/files/kplex.init
@@ -0,0 +1,19 @@
+#!/bin/sh /etc/rc.common
+# Copyright (C) 2015 OpenWrt.org
+
+START=99
+
+USE_PROCD=1
+PROG=/usr/bin/kplex
+
+CONF_FILE=/etc/kplex.conf
+
+start_service() {
+ [ -e "$CONF_FILE" ] || return 1
+
+ procd_open_instance
+ procd_set_param command "$PROG" -f "$CONF_FILE"
+ procd_set_param respawn
+ procd_set_param file "$CONF_FILE"
+ procd_close_instance
+}